import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  fileId: SortOrderSchema.optional(),
  seq: SortOrderSchema.optional(),
  data: SortOrderSchema.optional(),
  createdAt: SortOrderSchema.optional()
}).strict();
export const CloudFileChunkMaxOrderByAggregateInputObjectSchema: z.ZodType<Prisma.CloudFileChunkMaxOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileChunkMaxOrderByAggregateInput>;
export const CloudFileChunkMaxOrderByAggregateInputObjectZodSchema = makeSchema();
